org.bdgenomics.adam.algorithms.consensus

# ConsensusGeneratorFromReads

#### class ConsensusGeneratorFromReads extends ConsensusGenerator

Linear Supertypes
ConsensusGenerator, Serializable, Serializable, AnyRef, Any
Known Subclasses
ConsensusGeneratorFromSmithWaterman
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsensusGeneratorFromReads
2. ConsensusGenerator
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConsensusGeneratorFromReads()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def findConsensus(reads: Iterable[RichAlignmentRecord]): Iterable[Consensus]

    Generates concensus sequences from reads with indels.

    Generates concensus sequences from reads with indels.

    reads

      Reads to generate consensus sequences from.

    returns

      Consensus sequences to use for realignment.

    Definition Classes
      ConsensusGeneratorFromReads → ConsensusGenerator

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def preprocessReadsForRealignment(reads: Iterable[RichAlignmentRecord], reference: String, region: ReferenceRegion): Iterable[RichAlignmentRecord]

    Performs read preprocessing by normalizing indels for all reads that have evidence of one indel.

    Performs read preprocessing by normalizing indels for all reads that have evidence of one indel.

    reads

      Reads to process.

    returns

      Reads with indels normalized if they contain a single indel.

    Definition Classes
      ConsensusGeneratorFromReads → ConsensusGenerator

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def targetsToAdd(): Option[RDD[IndelRealignmentTarget]]

    No targets to add if generating consensus targets from reads.

    No targets to add if generating consensus targets from reads.

    returns

      Returns a None.

    Definition Classes
      ConsensusGeneratorFromReads → ConsensusGenerator

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ConsensusGenerator

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped